New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Remove unnecessary branches #62

Merged
merged 2 commits into from Jan 6, 2019
File filter...
Filter file types
Jump to file or symbol
Failed to load files and symbols.
+0 −15
Diff settings

Always

Just for now

Copy path View file
@@ -1,8 +1,3 @@
group :sqlite3 do
gem "sqlite3"
end

if Gem::Version.create(RUBY_VERSION) < Gem::Version.create("2.2.0")
# NOTE: byebug 9.1.0+ requires ruby 2.2.0+
gem "byebug", "< 9.1.0"
end
Copy path View file
@@ -7,13 +7,3 @@ module IndexShotgun
end

require "index_shotgun/railtie" if defined?(Rails)

begin
require "mysql2/version"

if Gem::Version.create(Mysql2::VERSION) >= Gem::Version.create("0.4.0") &&
ActiveRecord.version < Gem::Version.create("4.2.5")
raise "Requirements activerecord gem v4.2.5+ when using mysql2 gem v0.4.0+"
end
rescue LoadError # rubocop:disable Lint/HandleExceptions
end
ProTip! Use n and p to navigate between commits in a pull request.